import { Subject } from "rxjs";

/**
 * 视图props的基类
 */
export interface ViewPropsBase {
  /**
   * 上下文参数(外部传入)
   */
  context?: any;

  /**
   * 视图参数(外部传入)
   */
  viewParams?: any;

  /**
   * 视图参数(外部传入)
   */
  viewSubject?: Subject<any>;

  /**
   * 视图打开方式，路由、模态、内嵌，默认为路由方式
   */
  openType?: "ROUTE" | "MODAL" | "EMBED";
}